<?php
/**
 * @package    JBusinessDirectory
 *
 * @author CMSJunkie http://www.cmsjunkie.com
 * @copyright  Copyright (C) 2007 - 2021 CMSJunkie. All rights reserved.
 * @license   https://www.gnu.org/licenses/agpl-3.0.en.html
 */
defined('_JEXEC') or die('Restricted access');

// following translations will be used in js
JText::script('COM_JBUSINESS_DIRECTORY_EVENTS_CONFIRM_DELETE');

require_once JPATH_COMPONENT_SITE.'/views/jbdview.php';

JBusinessUtil::loadJQueryUI();

class JBusinessDirectoryViewManageCompanyEvents extends JBusinessDirectoryFrontEndView {
	protected $pagination;
	protected $item;
	protected $State;

	public function __construct() {
		parent::__construct();
	}

	public function display($tpl = null) {
		$this->companyId 	= $this->get('CompanyId');
		$this->items		= $this->get('Events');
		$this->pagination	= $this->get('Pagination');
		$this->state		= $this->get('State');
		$this->total		= $this->get('Total');

		$this->isCreateEventAllow = $this->get('CreateEventPermission');
		
		$this->actions = JBusinessDirectoryHelper::getActions();
		
		
		parent::display($tpl);
	}
}
